TikaLanguageIdentifierUpdateProcessorFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.update.processor.TikaLanguageIdentifierUpdateProcessorFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.update.processor
Class TikaLanguageIdentifierUpdateProcessorFactory

    java.lang.Object
      org.apache.solr.update.processor.UpdateRequestProcessorFactory
          org.apache.solr.update.processor.TikaLanguageIdentifierUpdateProcessorFactory

All Implemented Interfaces:
  LangIdParams, NamedListInitializedPlugin, SolrCoreAware

    public class TikaLanguageIdentifierUpdateProcessorFactory

extends UpdateRequestProcessorFactory
implements SolrCoreAware, LangIdParams

Identifies the language of a set of input fields using Tika's LanguageIdentifier. The tika-core-x.y.jar must be on the classpath

The UpdateProcessorChain config entry can take a number of parameters which may also be passed as HTTP parameters on the update request and override the defaults. Here is the simplest processor config possible:

     <processor class="org.apache.solr.update.processor.TikaLanguageIdentifierUpdateProcessorFactory">
       <str name="langid.fl">title,text</str>
       <str name="langid.langField">language_s</str>
     </processor>

See http://wiki.apache.org/solr/LanguageDetection

Since:
  3.5

Field Summary
`protected SolrParams` | `appends`
`protected SolrParams` | `defaults`
`protected SolrParams` | `invariants`

Fields inherited from interface org.apache.solr.update.processor.LangIdParams
`DOCID_FIELD_DEFAULT, DOCID_LANGFIELD_DEFAULT, DOCID_LANGSFIELD_DEFAULT, DOCID_PARAM, DOCID_THRESHOLD_DEFAULT, ENFORCE_SCHEMA, FALLBACK, FALLBACK_FIELDS, FIELDS_PARAM, LANG_FIELD, LANG_WHITELIST, LANGS_FIELD, LANGUAGE_ID, MAP_ENABLE, MAP_FL, MAP_INDIVIDUAL, MAP_INDIVIDUAL_FL, MAP_KEEP_ORIG, MAP_LCMAP, MAP_OVERWRITE, MAP_PATTERN, MAP_PATTERN_DEFAULT, MAP_REPLACE, MAP_REPLACE_DEFAULT, OVERWRITE, THRESHOLD`

Constructor Summary
`TikaLanguageIdentifierUpdateProcessorFactory()`

Method Summary
`UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
`void` | `inform(SolrCore core)`
`void` | `init(NamedList args)` The UpdateRequestProcessor may be initialized in solrconfig.xml similarly to a RequestHandler, with defaults, appends and invariants.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaults

    protected SolrParams defaults

### appends

    protected SolrParams appends

### invariants

    protected SolrParams invariants

Constructor Detail

### TikaLanguageIdentifierUpdateProcessorFactory

    public TikaLanguageIdentifierUpdateProcessorFactory()

Method Detail

### inform

    public void inform(SolrCore core)

  Specified by:
    `inform` in interface `SolrCoreAware`

### init

    public void init(NamedList args)

  The UpdateRequestProcessor may be initialized in solrconfig.xml similarly to a RequestHandler, with defaults, appends and invariants.

  Specified by:
    `init` in interface `NamedListInitializedPlugin`
  Overrides:
    `init` in class `UpdateRequestProcessorFactory`
  Parameters:
    `args` - a NamedList with the configuration parameters

### getInstance

    public UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                              SolrQueryResponse rsp,
                                              UpdateRequestProcessor next)

  Specified by:
    `getInstance` in class `UpdateRequestProcessorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD